import { GeorouterSettings } from '@modules/geography/core/application/types/georouter-settings.type';
import { Waypoint } from '@modules/geography/core/application/types/waypoint.type';
import { RouteResponseDto } from '@modules/geography/interface/dtos/route.response.dto';
import { Role } from '../../domain/ad.types';

export interface RouteProviderPort {
  get(
    roles: Role[],
    waypoints: Waypoint[],
    georouterSettings: GeorouterSettings,
  ): RouteResponseDto;
}
